Subject: Re: [bug#41360] [PATCH v3 1/9] gnu: java-openjfx-build: Add helpful patch.

From: Alexey Abramov <[email-masked]>
Date: Wed, 03 Jun 2020 18:36:34 +0200

Hi Julien, Ludo,

Julien Lepiller <[email-masked]> writes:

> Le 3 juin 2020 11:50:38 GMT-04:00, "Ludovic Courtès" <[email-masked]> a écrit :
>>Alexey Abramov <[email-masked]> skribis:
>>
>>> +++ b/gnu/packages/patches/java-openjfx-build-jdk_version.patch
>
>>> @@ -0,0 +1,27 @@
>>> +Subject: [PATCH] openjfx: Determine the version of Java in JDK_HOME
>>> +
>>> +Icedtea contains guix in its version, so build.gradle failes to run.
>>Openjfx
>>> +packaging is not trivial, so you will probably need to try build it
>>with
>>> +gradlew.
>>> +
>>> +---
>>> + build.gradle | 5 ++---
>>> + 1 file changed, 2 insertions(+), 3 deletions(-)
>>
>>This patch also made me realize that we’re using Gradle here, but
>>there’s no Gradle package in Guix.  That means we must be using a
>>pre-built jar somewhere, though I didn’t find it.  Any idea where that
>>comes from?  Julien, any idea?
>>
>>(The problem existed before your patches.)
>>
>>Thanks,
>>Ludo’.
>
> From what I understand, this patcg helps build openjfx with gradle on
> guix, if you use the guix source in an environment, but reading the
> other patches, it doesn't look like gradle is actually used anywhere.
>
> It looks like this patch is helpful in the sense that it allows users to manually build the package outside of guix, but is not used at all during the build of openjfx by guix itself.
>
> Alexey, can you confirm?

Yes, you are right. I am not using gradle. The reason for this patch was
to be able to debug the building process openjfx. I had to run gradlew
multiple times, so I decided to just patch it.

-- 
Alexey